> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Busca avançada de contatos

> Buscar contatos com filtros e critérios específicos. Leia [aqui sobre busca avançada](https://docs.olie.ai/api-reference/general/advanced-search).



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/contacts/search
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/contacts/search:
    post:
      tags:
        - contacts
        - search
      summary: Busca avançada de contatos
      description: >-
        Buscar contatos com filtros e critérios específicos. Leia [aqui sobre
        busca
        avançada](https://docs.olie.ai/api-reference/general/advanced-search).
      operationId: buscaAvanAdaDeContatos
      responses:
        '200':
          description: Busca avançada de contatos
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
            Cache-Control:
              schema:
                type: string
              example: no-cache, private
            Date:
              schema:
                type: string
              example: Thu, 15 Jan 2026 19:50:33 GMT
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 160
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 152
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  contacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        role:
                          type: string
                        email:
                          type: string
                          format: email
                        phone:
                          type: string
                        description:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        frame_id:
                          type: string
                        customers:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              pivot:
                                type: object
                                properties:
                                  contact_id:
                                    type: integer
                                  customer_id:
                                    type: string
                        form_answers:
                          type: array
                          items: {}
                        frame:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  response:
                    type: boolean
              example:
                contacts:
                  - id: 159
                    name: Thalia Pietra Lira
                    role: sunt
                    email: goncalves.malena@example.net
                    phone: (99) 99999-9999
                    description: >-
                      In aut et aliquam odio in aut. Sapiente modi dolorum sunt
                      vitae.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                        name: Sra. Mariah Valentin Sobrinho
                        pivot:
                          contact_id: 159
                          customer_id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 159
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                      - id: 019b329a-8f00-716b-9c61-0777df2c3714
                        name: Guilherme Thales Paz
                        pivot:
                          contact_id: 159
                          customer_id: 019b329a-8f00-716b-9c61-0777df2c3714
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 160
                    name: Ariane Valéria Alves
                    role: laboriosam
                    email: juliano67@example.com
                    phone: (99) 99999-9999
                    description: Ratione quia consequatur nam unde consequatur.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                        name: Sra. Mariah Valentin Sobrinho
                        pivot:
                          contact_id: 160
                          customer_id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                      - id: 019b329a-8f00-716b-9c61-0777df2c3714
                        name: Guilherme Thales Paz
                        pivot:
                          contact_id: 160
                          customer_id: 019b329a-8f00-716b-9c61-0777df2c3714
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 161
                    name: Sra. Júlia Brito Deverso
                    role: eius
                    email: allison.fonseca@example.com
                    phone: (99) 99999-9999
                    description: Qui id voluptatibus culpa praesentium qui.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 162
                    name: Ricardo Sérgio Valente Neto
                    role: fugit
                    email: ohana36@example.com
                    phone: (99) 99999-9999
                    description: Pariatur optio voluptatem sed eveniet eveniet.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 162
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 163
                    name: Lia Samanta Valentin
                    role: accusamus
                    email: norma47@example.net
                    phone: (99) 99999-9999
                    description: >-
                      Veritatis et dolorum omnis voluptas officia temporibus
                      architecto.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 164
                    name: Elisa Renata Barreto
                    role: totam
                    email: valdez.wilson@example.com
                    phone: (99) 99999-9999
                    description: At similique recusandae molestias fugit unde reiciendis.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 164
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 165
                    name: Franco Abreu
                    role: nemo
                    email: qgalindo@example.org
                    phone: (99) 99999-9999
                    description: Quaerat provident sint quia.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8f00-716b-9c61-0777df2c3714
                        name: Guilherme Thales Paz
                        pivot:
                          contact_id: 165
                          customer_id: 019b329a-8f00-716b-9c61-0777df2c3714
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 166
                    name: Dr. Luiz Serna Filho
                    role: soluta
                    email: mares.sophie@example.org
                    phone: (99) 99999-9999
                    description: Provident deleniti qui aspernatur velit repudiandae dolor.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 167
                    name: Sr. Ricardo Benites
                    role: ullam
                    email: cesar.domingues@example.com
                    phone: (99) 99999-9999
                    description: >-
                      Est omnis assumenda laboriosam tenetur magnam deleniti
                      aspernatur.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 168
                    name: Flávio Emílio Quintana Neto
                    role: non
                    email: noemi.rico@example.org
                    phone: (99) 99999-9999
                    description: Consectetur quidem et ducimus consequatur.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                        name: Sra. Mariah Valentin Sobrinho
                        pivot:
                          contact_id: 168
                          customer_id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 169
                    name: Henrique Marin da Rosa
                    role: est
                    email: pacheco.naiara@example.org
                    phone: (99) 99999-9999
                    description: >-
                      Non ea sapiente numquam tempore tenetur voluptate
                      accusantium.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 170
                    name: Maurício Dias Gil
                    role: natus
                    email: wpadrao@example.net
                    phone: (99) 99999-9999
                    description: >-
                      Officiis exercitationem ipsum nobis voluptates quia
                      tempore labore.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 170
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                      - id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                        name: Dr. Artur Verdugo
                        pivot:
                          contact_id: 170
                          customer_id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                      - id: 019b329a-8f0f-7265-9d8d-a90f96671967
                        name: César Sepúlveda Mascarenhas Sobrinho
                        pivot:
                          contact_id: 170
                          customer_id: 019b329a-8f0f-7265-9d8d-a90f96671967
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 171
                    name: Dr. Sara Medina Bonilha
                    role: quaerat
                    email: noel.davila@example.org
                    phone: (99) 99999-9999
                    description: Cumque sed nam dolor et neque repudiandae.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 172
                    name: Sra. Heloise Rocha Rodrigues Sobrinho
                    role: neque
                    email: emilio91@example.com
                    phone: (99) 99999-9999
                    description: >-
                      Laudantium nostrum necessitatibus et voluptatem dolores
                      ipsa.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                        name: Sra. Mariah Valentin Sobrinho
                        pivot:
                          contact_id: 172
                          customer_id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 172
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                      - id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                        name: Dr. Artur Verdugo
                        pivot:
                          contact_id: 172
                          customer_id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 173
                    name: Dr. Luciana Cíntia Lira Neto
                    role: nihil
                    email: flores.pedro@example.com
                    phone: (99) 99999-9999
                    description: Ut voluptatem fugiat consequatur in quod temporibus nobis.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                        name: Sra. Mariah Valentin Sobrinho
                        pivot:
                          contact_id: 173
                          customer_id: 019b329a-8ef0-71ac-8997-dc62f1486a70
                      - id: 019b329a-8f00-716b-9c61-0777df2c3714
                        name: Guilherme Thales Paz
                        pivot:
                          contact_id: 173
                          customer_id: 019b329a-8f00-716b-9c61-0777df2c3714
                      - id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                        name: Dr. Artur Verdugo
                        pivot:
                          contact_id: 173
                          customer_id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 174
                    name: Daniella Esther Valentin
                    role: possimus
                    email: theo68@example.net
                    phone: (99) 99999-9999
                    description: Est debitis quo iusto magnam hic molestiae molestias.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 175
                    name: Manuel Colaço Jr.
                    role: commodi
                    email: santana.jonas@example.com
                    phone: (99) 99999-9999
                    description: >-
                      Dolore est accusantium corrupti aut. Esse maxime facere
                      ullam.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers: []
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                  - id: 176
                    name: Dr. Melinda Benites Filho
                    role: repellendus
                    email: augusto40@example.org
                    phone: (99) 99999-9999
                    description: >-
                      Itaque quae debitis voluptatem deserunt. Ea nihil iusto
                      saepe ut provident ea.
                    created_at: '2025-12-18T17:55:48.000000Z'
                    updated_at: '2025-12-18T17:55:48.000000Z'
                    deleted_at: null
                    frame_id: 019b329a-4346-7064-bba3-e7c19057cda4
                    customers:
                      - id: 019b329a-8efa-70dd-ad42-60dd2431804b
                        name: Elias Montenegro
                        pivot:
                          contact_id: 176
                          customer_id: 019b329a-8efa-70dd-ad42-60dd2431804b
                      - id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                        name: Dr. Artur Verdugo
                        pivot:
                          contact_id: 176
                          customer_id: 019b329a-8f07-71ca-bff1-ab68831f5b7b
                      - id: 019b329a-8f0f-7265-9d8d-a90f96671967
                        name: César Sepúlveda Mascarenhas Sobrinho
                        pivot:
                          contact_id: 176
                          customer_id: 019b329a-8f0f-7265-9d8d-a90f96671967
                    form_answers: []
                    frame:
                      id: 019b329a-4346-7064-bba3-e7c19057cda4
                      name: 'OlieDev Company '
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 30
                  to: 18
                  total: 18
                response: true
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````